Skip to main content
GET
Retrieve a subscription

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Path Parameters

subscription_id
string
required
Pattern: ^([a-zA-Z\d\-]+)$

Response

Subscription detail serializer.

ends_at
string<date>
required

End date of subscription

sub_total
integer
required

Subtotal before taxes and discounts

grand_total
integer
required

Final total after taxes and discounts

line_items
object[]
required

The line items of the subscription

billing_schedule
object[]
required

The billing schedule of the subscription

grand_total_details
any
required

Breakdown containing total discount and tax amounts

subscription_id
string<uuid>
required

Unique identifier for the subscription

customer
object
required

Customer details

renews_at
string<date>
required

Date of renewal

status
enum<string>
required

Current status of the subscription

  • ACTIVE - Active
  • ORDER_NEEDED - Order needed
  • OPEN_ORDER - Open order
  • SCHEDULED - Scheduled
  • TERMINATED - Terminated
  • TERMINATING - Terminating
  • INACTIVE - Inactive
  • PAUSED - Paused
  • SUPERSEDED - Superseded
Available options:
ACTIVE,
ORDER_NEEDED,
OPEN_ORDER,
SCHEDULED,
TERMINATED,
TERMINATING,
INACTIVE,
PAUSED,
SUPERSEDED
stage
enum<string>
required

Current stage of the subscription

  • BUILDING - Open
  • CLOSED - Closed Won
  • CLOSED_LOST - Closed Lost
  • CLOSED_DELETE - Closed Delete
  • SELLER_SIGNING - Signing
  • MIGRATING - Migrating
Available options:
BUILDING,
CLOSED,
CLOSED_LOST,
CLOSED_DELETE,
SELLER_SIGNING,
MIGRATING
transaction_method
enum<string>
required

The medium by which the order is agreed.

  • ORDER_FORM - Order form
  • STRIPE - Stripe
Available options:
ORDER_FORM,
STRIPE
terminates_at
string<date>
required

Date of termination

time_zone
string
required

Subscription time zone

starts_at
string<date>
required

Start date of subscription

billing_frequency
enum<string>
required

Billing frequency of the subscription

  • MONTHLY - Monthly
  • QUARTERLY - Quarterly
  • SEMI_ANNUALLY - Semi-annually
  • ANNUALLY - Annually
  • ALL_UPFRONT - All upfront
  • CUSTOM - Custom
Available options:
MONTHLY,
QUARTERLY,
SEMI_ANNUALLY,
ANNUALLY,
ALL_UPFRONT,
CUSTOM
point_of_contact
object
required

Primary contact person for the subscription

products
object[]
required
read-only

Product details

signatory_user
object
required

User who signed the subscription agreement

accounts_payable_emails
string<email>[]
required

List of email addresses for accounts payable contacts

currency
enum<string>
required

The currency used

  • USD - United States Dollar
  • EUR - Euros
  • GBP - Great British Pound
  • AUD - Australian Dollar
  • CAD - Canadian Dollar
  • INR - Indian Rupee
Available options:
USD,
EUR,
GBP,
AUD,
CAD,
INR
payment_terms
integer
required

The payment terms for this susbcription

auto_renews
boolean
required

If the subscription will auto renew at the end of the current contract period

metadata
any

Optional metadata to add to the subscription.

attributed_to
object | null

The user that owns the subscription (account representative)